import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/switch/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var classes = {
  "switch-default": "sm:w-[2.375rem] sm:h-5 inline-block align-middle transition-all duration-200 ease-in-out border border-solid border-transparent relative cursor-pointer outline-0",
  "switch-default-mobile": "w-[2.75rem] h-[1.625rem] rounded-2xl",
  "switch-default-mini-mobile": "w-8 h-5 sm:w-[1.875rem] sm:h-4 rounded-2xl",
  "before-switch-default": 'before:content-[""] before:rounded-xl before:bg-white before:absolute before:cursor-pointer before:transition-all before:duration-200 before:ease-in-out before:text-center before:left-px before:top-px',
  "before-switch-default-mobile": "sm:before:w-4 sm:before:h-4 before:w-[1.375rem] before:h-[1.375rem]",
  "before-switch-default-mini-mobile": "before:w-4 before:h-4 sm:before:w-3 sm:before:h-3",
  "active-before-switch-default-mobile": "active:before:w-[1.625rem] sm:active:before:w-5",
  "active-before-switch-default-mini-mobile": "active:before:w-4.5 sm:active:before:w-[0.9375rem]",
  "switch-true": "border-color-brand bg-color-brand before:left-4.5 active:before:left-[0.875rem] sm:before:left-4.5",
  "switch-true-mini": "border-color-brand bg-color-brand before:left-[0.8375rem] sm:before:left-[0.9375rem] active:before:left-[0.6875rem] sm:active:before:left-[0.75rem]",
  "switch-false": "bg-color-icon-disabled",
  "switch-true-disabled": "bg-color-brand-disabled before:left-4.5 sm:before:left-4.5 cursor-not-allowed before:cursor-not-allowed",
  "switch-true-disabled-mini": "bg-color-brand-disabled before:left-[0.8125rem] sm:before:left-[0.9375rem] cursor-not-allowed before:cursor-not-allowed",
  "switch-false-disabled": "bg-color-icon-primary cursor-not-allowed before:cursor-not-allowed opacity-10",
  "switch-false-loading": "bg-color-border-separator cursor-not-allowed before:cursor-not-allowed",
  "switch-inner-default": "absolute transition-all duration-200 ease-in-out text-color-bg-1 flex justify-center items-center m-auto",
  "switch-inner-default-mobile": "w-6 h-6 sm:w-4.5 sm:h-4.5 ",
  "switch-inner-default-mobile-mini": "w-4.5 h-4.5 sm:w-3.5 sm:h-3.5",
  "switch-inner-true": "-left-px -top-px sm:top-0",
  "switch-inner-false": "left-5 -top-px sm:left-4.5 sm:top-0",
  "switch-inner-true-mini": "-left-px sm:left-0",
  "switch-inner-false-mini": "left-[0.875rem] sm:left-4",
  "switch-inner-true-icon": "left-4.5",
  "switch-inner-true-icon-mini": "left-[0.8125rem] sm:left-[0.875rem]",
  "switch-inner-false-icon": "",
  "switch-inner-false-icon-mini": "-left-[0.02rem]",
  "switch-inner-true-loading": "left-[1.0625rem]",
  "switch-inner-true-loading-mini": "left-3 sm:left-3.5"
};
var __vue2_script = defineComponent({
  emits: ["change", "update:modelValue"],
  props: [].concat(props, ["modelValue", "trueValue", "falseValue", "disabled", "mini", "tabindex", "types"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api,
      classes
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("span", {
    class: _vm.m(_vm.gcls("switch-default"), _vm.gcls("before-switch-default"), _vm.mini ? [_vm.gcls("switch-default-mini-mobile"), _vm.gcls("before-switch-default-mini-mobile"), _vm.disabled || _vm.types === "loading" ? "" : _vm.gcls("active-before-switch-default-mini-mobile")] : [_vm.gcls("switch-default-mobile"), _vm.gcls("before-switch-default-mobile"), _vm.disabled || _vm.types === "loading" ? "" : _vm.gcls("active-before-switch-default-mobile")], _vm.state.currentValue === _vm.trueValue ? _vm.disabled || _vm.types === "loading" ? _vm.gcls("switch-true-disabled" + (_vm.mini ? "-mini" : "")) : _vm.gcls("switch-true" + (_vm.mini ? "-mini" : "")) : _vm.disabled ? _vm.gcls("switch-false-disabled") : _vm.types === "loading" ? _vm.gcls("switch-false-loading") : _vm.gcls("switch-false")),
    attrs: {
      "data-tag": "tiny-switch",
      "tabindex": _vm.tabindex
    },
    on: {
      "click": _vm.toggle,
      "keydown": function keydown($event) {
        if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "space", 32, $event.key, [" ", "Spacebar"]))
          return null;
        return _vm.toggle($event);
      }
    }
  }, [_c("span", {
    class: _vm.m(_vm.gcls("switch-inner-default"), _vm.gcls("switch-inner-default-mobile" + (_vm.mini === true ? "-mini" : "")), _vm.state.currentValue === _vm.trueValue ? _vm.types === "icon" ? _vm.gcls("switch-inner-true-icon" + (_vm.mini === true ? "-mini" : "")) : _vm.types === "loading" ? _vm.gcls("switch-inner-true-loading" + (_vm.mini === true ? "-mini" : "")) : _vm.gcls("switch-inner-true" + (_vm.mini === true ? "-mini" : "")) : _vm.types === "icon" ? _vm.gcls("switch-inner-false-icon" + (_vm.mini === true ? "-mini" : "")) : _vm.types === "loading" ? "" : _vm.gcls("switch-inner-false" + (_vm.mini === true ? "-mini" : "")))
  }, [_vm.types === "icon" ? _c("div", [_vm.state.currentValue === _vm.trueValue ? _vm._t("open", [_c("svg", {
    class: [_vm.mini === true ? "w-3 h-3 sm:w-2.5 sm:h-2.5" : "w-4 h-4 sm:w-3 sm:h-3", _vm.disabled === true ? "fill-color-brand-disabled" : "fill-color-brand"],
    attrs: {
      "viewBox": "0 0 24 24"
    }
  }, [_c("path", {
    attrs: {
      "d": "M9.9 15.6l9.4-9.4c.4-.4 1-.4 1.4 0 .4.4.4 1 0 1.4l-10 10.1c-.4.4-1 .4-1.4 0-.1 0-.1-.1-.2-.1l-5.8-5.8c-.4-.4-.4-1 0-1.4.4-.4 1-.4 1.4 0l5.2 5.2z"
    }
  })])]) : _vm._e(), _vm.state.currentValue === _vm.falseValue ? _vm._t("close", [_c("svg", {
    class: [_vm.mini === true ? "w-3 h-3 sm:w-2.5 sm:h-2.5" : "w-4 h-4 sm:w-3 sm:h-3", _vm.disabled === true ? "fill-color-icon-primary" : "fill-color-icon-disabled"],
    attrs: {
      "viewBox": "0 0 24 24"
    }
  }, [_c("path", {
    attrs: {
      "d": "M13.4 12l6.3-6.3c.4-.4.4-1 0-1.4-.4-.4-1-.4-1.4 0L12 10.6 5.7 4.3c-.4-.4-1-.4-1.4 0-.4.4-.4 1 0 1.4l6.3 6.3-6.3 6.3c-.4.4-.4 1 0 1.4.2.2.4.3.7.3.3 0 .5-.1.7-.3l6.3-6.3 6.3 6.3c.2.2.4.3.7.3s.5-.1.7-.3c.4-.4.4-1 0-1.4L13.4 12z"
    }
  })])]) : _vm._e()], 2) : _vm._e(), _vm.types === "word" ? _c("div", {
    class: ["sm:text-xs", _vm.mini === true ? "text-xs" : "text-sm"]
  }, [_vm.state.currentValue === _vm.trueValue ? _vm._t("open", [_vm._v("A")]) : _vm._e(), _vm.state.currentValue === _vm.falseValue ? _vm._t("close", [_vm._v("B")]) : _vm._e()], 2) : _vm._e(), _vm.types === "loading" ? _c("div", [_vm.state.currentValue === _vm.trueValue ? _vm._t("open", [_c("svg", {
    class: ["fill-color-brand-disabled", _vm.mini === true ? "sm:w-3 sm:h-3 w-4 h-4" : "sm:w-4 sm:h-4 w-5 h-5"],
    attrs: {
      "viewBox": "0 0 50 50"
    }
  }, [_c("path", {
    attrs: {
      "d": "M43.935,25.145c0-10.318-8.364-18.683-18.683-18.683c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615c8.072,0,14.615,6.543,14.615,14.615H43.935z",
      "transform": "rotate(275.098 75 75)"
    }
  }, [_c("animateTransform", {
    attrs: {
      "attributeType": "xml",
      "attributeName": "transform",
      "type": "rotate",
      "from": "0 25 25",
      "to": "360 25 25",
      "dur": "1s",
      "repeatCount": "indefinite"
    }
  })], 1)])]) : _vm._e(), _vm.state.currentValue === _vm.falseValue ? _vm._t("close", [_c("svg", {
    class: ["fill-color-none-hover", _vm.mini === true ? "sm:w-3 sm:h-3 w-4 h-4" : "sm:w-4 sm:h-4 w-5 h-5"],
    attrs: {
      "viewBox": "0 0 50 50"
    }
  }, [_c("path", {
    attrs: {
      "d": "M43.935,25.145c0-10.318-8.364-18.683-18.683-18.683c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615c8.072,0,14.615,6.543,14.615,14.615H43.935z",
      "transform": "rotate(275.098 75 75)"
    }
  }, [_c("animateTransform", {
    attrs: {
      "attributeType": "xml",
      "attributeName": "transform",
      "type": "rotate",
      "from": "0 25 25",
      "to": "360 25 25",
      "dur": "1s",
      "repeatCount": "indefinite"
    }
  })], 1)])]) : _vm._e()], 2) : _vm._e()])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
